Package org.apache.sling.dynamicinclude.pathmatcher

## Class PrefixPathMatcher

- java.lang.Object
- - org.apache.sling.dynamicinclude.pathmatcher.PrefixPathMatcher

All Implemented Interfaces:
  `PathMatcher`

    public class PrefixPathMatcher
    extends java.lang.Object
    implements PathMatcher

### Constructor Summary

Constructors
`PrefixPathMatcher​(java.lang.String configurationValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `match​(java.lang.String path)` Matches given path with the configured path parameter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrefixPathMatcher

    public PrefixPathMatcher​(java.lang.String configurationValue)

### Method Detail

#### match

    public boolean match​(java.lang.String path)

Description copied from interface: `PathMatcher`
Matches given path with the configured path parameter

Specified by:
  `match` in interface `PathMatcher`
Parameters:
  `path` - path to match
Returns:
  true if path matches, false otherwise